## javax.persistence.metamodel
Interface Type<X>

All Known Subinterfaces:
  BasicType<X>, EmbeddableType<X>, EntityType<X>, IdentifiableType<X>, ManagedType<X>, MappedSuperclassType<X>

    public interface Type<X>

Nested Class Summary
`static class` `Type.PersistenceType`

Method Summary
`java.lang.Class<X>` `getJavaType()`
`Type.PersistenceType` `getPersistenceType()`

Method Detail

### getPersistenceType

    Type.PersistenceType getPersistenceType()

### getJavaType

    java.lang.Class<X> getJavaType()